Ticker
curl --request GET \
--url https://relay.bayse.markets/v1/pm/markets/{marketId}/tickerimport requests
url = "https://relay.bayse.markets/v1/pm/markets/{marketId}/ticker"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/markets/{marketId}/ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"lastPrice": 0.72,
"bestBid": 0.70,
"bestAsk": 0.72,
"midPrice": 0.71,
"spread": 0.02,
"volume24h": 15420,
"high24h": 0.74,
"low24h": 0.65,
"priceChange24h": 0.04,
"tradeCount24h": 247,
"timestamp": "2026-02-17T12:00:00Z"
}
Market data
Ticker
Get real-time price and volume statistics for a market outcome
GET
/
v1
/
pm
/
markets
/
{marketId}
/
ticker
Ticker
Authentication
No authentication required.Path parameters
UUID of the market.
Query parameters
The outcome label:
YES or NO. Required if outcomeId is not provided.UUID of the outcome. Must belong to the specified market. Required if
outcome is not provided.Example request
curl "https://relay.bayse.markets/v1/pm/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/ticker?outcome=YES"
const marketId = 'b2c3d4e5-f6a7-8901-bcde-f12345678901';
const response = await fetch(
`https://relay.bayse.markets/v1/pm/markets/${marketId}/ticker?outcome=YES`
);
const ticker = await response.json();
import requests
market_id = 'b2c3d4e5-f6a7-8901-bcde-f12345678901'
resp = requests.get(
f'https://relay.bayse.markets/v1/pm/markets/{market_id}/ticker',
params={'outcome': 'YES'},
)
ticker = resp.json()
req, _ := http.NewRequest(
"GET",
"https://relay.bayse.markets/v1/pm/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/ticker",
nil,
)
q := req.URL.Query()
q.Add("outcome", "YES")
req.URL.RawQuery = q.Encode()
resp, _ := http.DefaultClient.Do(req)
Response
Returns current market statistics for the requested outcome.{
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"lastPrice": 0.72,
"bestBid": 0.70,
"bestAsk": 0.72,
"midPrice": 0.71,
"spread": 0.02,
"volume24h": 15420,
"high24h": 0.74,
"low24h": 0.65,
"priceChange24h": 0.04,
"tradeCount24h": 247,
"timestamp": "2026-02-17T12:00:00Z"
}
⌘I